2001: Authenticate
| Endpoint ID: | 2001 | |||||||||||||||||||
| Method: | POST | |||||||||||||||||||
| URL: | /entity/authenticate | |||||||||||||||||||
| Request body: | JSON data with type of authentication (
Example 1 – Native authentication: {
"authType": "native",
"loginID": "mailbox@mailserver.com",
"password": "password"
}
Example 2 – Facebook authentication: {
"authType": "facebook"
"appID": 987654321,
"userID": 123456789,
"updatedAccessToken": "...",
"accessTokenExpires": "..."
}
| |||||||||||||||||||
| JSON data with key(s) for successfully authenticated account. The result will always hold the Rubiq entity ID and if the app making the request is configured to use a specific external key, this key is also included in the response. If authentication fails, the result is empty. Responses to Native authenticate response example {
"id": 123456
"name": "John Doe",
"email": "mailbox@mailserver.com"
}
However Onetime password authentication response example {
"entities": [
{
"id": 123456
"name": "John Doe",
"email": "shared@mailserver.com",
"apiSessionKey": "x7s8t2lb9yi4ozswqkqurw3lh"
},
{
"id": 234567
"name": "Jane Doe",
"email": "shared@mailserver.com",
"apiSessionKey": "qxai81njm9jd2scb55rdftcbw"
}
]
}
| |||||||||||||||||||
| Status codes: | 200 | Successfully authenticated | ||||||||||||||||||
| 403 | Invalid login The following sub codes may be returned:
| |||||||||||||||||||